SHTOOL-PROP.TMP(1)

NAME
shtool prop - GNU shtool propeller processing indication

SYNOPSIS
shtool prop [-p|--prefix str]

DESCRIPTION
This command displays a processing indication though a running propeller. It is intended to be run at the end of a pipe (""|"") sequence where on "stdin" logging/processing informations found. For every line on "stdin" the propeller advances one step clock-wise.

OPTIONS
The following command line options are available.

-p, --prefix str
    Set a particular prefix str which is displayed in front of the propeller. The default is no prefix string.

EXAMPLE
 #   shell script
 configure 2>&1 |\
     tee logfile |\
     shtool prop -p "Configuring sources"

HISTORY
The GNU shtool prop command was originally written by Ralf S. Engelschall <rse@engelschall.com> in 1998 for mod_ssl. It was later taken over into GNU shtool.

SEE ALSO
shtool(1).